> For the complete documentation index, see [llms.txt](https://docs.konsortech.xyz/node/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.konsortech.xyz/node/testnet/sge/validator.md).

# validator

Guidence for create validator

#### Create wallet

To create new wallet you can use command below. Don’t forget to save the mnemonic

```
sged keys add $WALLET
```

To recover your wallet using seed phrase

```
sged keys add $WALLET --recover
```

Show your wallet list

```
sged keys list
```

#### Save wallet info

Add wallet and validator address into variables

```
SGE_WALLET_ADDRESS=$(sged keys show $WALLET -a)
SGE_VALOPER_ADDRESS=$(sged keys show $WALLET --bech val -a)
echo 'export SGE_WALLET_ADDRESS='${SGE_WALLET_ADDRESS} >> $HOME/.bash_profile
echo 'export SGE_VALOPER_ADDRESS='${SGE_VALOPER_ADDRESS} >> $HOME/.bash_profile
source $HOME/.bash_profile
```

#### Create validator

check your wallet balance:

```
sged query bank balances $SGE_WALLET_ADDRESS
```

To create your validator run command below

```
sged tx staking create-validator \
  --amount 1000000usge \
  --from $WALLET \
  --commission-max-change-rate "0.01" \
  --commission-max-rate "0.2" \
  --commission-rate "0.05" \
  --min-self-delegation "1" \
  --pubkey  $(sged tendermint show-validator) \
  --moniker $NODENAME \
  --chain-id $SGE_CHAIN_ID
```

#### Check your validator key

```
[[ $(sged q staking validator $SGE_VALOPER_ADDRESS -oj | jq -r .consensus_pubkey.key) = $(sged status | jq -r .ValidatorInfo.PubKey.value) ]] && echo -e "\n\e[1m\e[32mTrue\e[0m\n" || echo -e "\n\e[1m\e[31mFalse\e[0m\n"
```

#### Get list of validators

```
sged q staking validators -oj --limit=3000 | jq '.validators[] | select(.status=="BOND_STATUS_BONDED")' | jq -r '(.tokens|tonumber/pow(10; 6)|floor|tostring) + " \t " + .description.moniker' | sort -gr | nl
```

### Usefull commands

#### Service management

Check logs

```
journalctl -fu sged -o cat
```

Start service

```
sudo systemctl start sged
```

Stop service

```
sudo systemctl stop sged
```

Restart service

```
sudo systemctl restart sged
```

#### Node info

Synchronization info

```
sged status 2>&1 | jq .SyncInfo
```

Validator info

```
sged status 2>&1 | jq .ValidatorInfo
```

Node info

```
sged status 2>&1 | jq .NodeInfo
```

Show node id

```
sged tendermint show-node-id
```

#### Wallet operations

List of wallets

```
sged keys list
```

Recover wallet

```
sged keys add $WALLET --recover
```

Delete wallet

```
sged keys delete $WALLET
```

Get wallet balance

```
sged query bank balances $SGE_WALLET_ADDRESS
```

Transfer funds

```
sged tx bank send $SGE_WALLET_ADDRESS <TO_SGE_WALLET_ADDRESS> 1000000usge
```

#### Voting

```
sged tx gov vote 1 yes --from $WALLET --chain-id=$SGE_CHAIN_ID
```

#### Staking, Delegation and Rewards

Delegate stake

```
sged tx staking delegate $SGE_VALOPER_ADDRESS 1000000usge --from=$WALLET --chain-id=$SGE_CHAIN_ID --gas=auto
```

Redelegate stake from validator to another validator

```
sged tx staking redelegate <srcValidatorAddress> <destValidatorAddress> 1000000usge --from=$WALLET --chain-id=$SGE_CHAIN_ID --gas=auto
```

Withdraw all rewards

```
sged tx distribution withdraw-all-rewards --from=$WALLET --chain-id=$SGE_CHAIN_ID --gas=auto
```

Withdraw rewards with commision

```
sged tx distribution withdraw-rewards $SGE_VALOPER_ADDRESS --from=$WALLET --commission --chain-id=$SGE_CHAIN_ID
```

#### Validator management

Edit validator

```
sged tx staking edit-validator \
  --moniker=$NODENAME \
  --identity=<your_keybase_id> \
  --website="<your_website>" \
  --details="<your_validator_description>" \
  --chain-id=$SGE_CHAIN_ID \
  --from=$WALLET
```

Unjail validator

```
sged tx slashing unjail \
  --broadcast-mode=block \
  --from=$WALLET \
  --chain-id=$SGE_CHAIN_ID \
  --gas=auto
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.konsortech.xyz/node/testnet/sge/validator.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
